> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Entity Details

> Returns a list of entities that match the specified search term.



## OpenAPI

````yaml /api-reference/data-api.json get /v2/entities
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/entities:
    get:
      tags:
        - Entity Information
      summary: Search Entity Details
      description: Returns a list of entities that match the specified search term.
      operationId: searchEntities
      parameters:
        - name: cursor
          required: false
          in: query
          schema:
            example: n0192376853
            type: string
        - name: size
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
        - name: networks
          required: false
          in: query
          description: >-
            Comma-separated list of blockchain networks to filter by (e.g.,
            ethereum, solana). Repeats also allowed.
          schema:
            example:
              - ethereum
              - solana
            type: array
            items:
              type: string
      responses:
        '200':
          description: List of entities that match the specified search term.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityIndexResponseDto'
components:
  schemas:
    EntityIndexResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EntityDto'
        meta:
          $ref: '#/components/schemas/CursorMetaDto'
      required:
        - items
        - meta
    EntityDto:
      type: object
      properties:
        id:
          type: string
          example: dao-alpha
        name:
          type: string
          example: DAO Alpha
        icon_url:
          type: string
          example: https://cdn.example.com/icons/dao-alpha.png
      required:
        - id
        - name
    CursorMetaDto:
      type: object
      properties:
        next_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the next page of results. null if
            there is no next page.
          example: eyJpZCI6IjkxeFFlV3Z...
        previous_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the previous page of results. null
            if there is no previous page.
          example: eyJpZCI6IjkxeFFlV3Z...
        first_page_cursor:
          type: string
          description: >-
            Opaque string cursor pointing to the very first page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        last_page_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the very last page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        total_count:
          type: number
          nullable: true
          description: Total number of results.
          example: 100
        page_number:
          type: number
          description: Current page number.
          example: 1
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````